<?php
/**
 * adds the plugin on content edit selector.
 *
 * @author	LoginRadius <hello@loginradius.com>
 * @package	TYPO3
 * @subpackage	simplified_social_share
 */
if (!defined('TYPO3_MODE')) {
    die('Access denied.');
}
if (version_compare(TYPO3_branch, '6.1', '<')) {
    t3lib_div::loadTCA('tt_content');
}
$lr_setting = isset($GLOBALS['TYPO3_CONF_VARS']['EXT']['extConf']['simplified_social_share']) ? unserialize($GLOBALS['TYPO3_CONF_VARS']['EXT']['extConf']['simplified_social_share']) : '';
if(isset($lr_setting['HorizontalSharingEnable']) && $lr_setting['HorizontalSharingEnable']==1) {
    TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addPlugin(array(
        'LLL:EXT:simplified_social_share/language/locallang.xml:simplifiedsocialshare_horizontal_title',
        $_EXTKEY . 'horizontal_pi1',
        TYPO3\CMS\Core\Utility\ExtensionManagementUtility::extRelPath($_EXTKEY) . 'ext_icon.gif'
            ), 'list_type');
    if (TYPO3_MODE === 'BE') {
        $TBE_MODULES_EXT['xMOD_db_new_content_el']['addElClasses']['tx_simplifiedsocialsharehorizontal_pi1_wizicon'] = TYPO3\CMS\Core\Utility\ExtensionManagementUtility::extPath($_EXTKEY) . 'pi1/class.tx_simplifiedsocialsharehorizontal_pi1_wizicon.php';
    }
}
if(isset($lr_setting['VerticalSharingEnable']) && $lr_setting['VerticalSharingEnable']==1) {
    TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addPlugin(array(
        'LLL:EXT:simplified_social_share/language/locallang.xml:simplifiedsocialshare_vertical_title',
        $_EXTKEY . 'vertical_pi1',
        TYPO3\CMS\Core\Utility\ExtensionManagementUtility::extRelPath($_EXTKEY) . 'ext_icon.gif'
            ), 'list_type');
    if (TYPO3_MODE === 'BE') {
        $TBE_MODULES_EXT['xMOD_db_new_content_el']['addElClasses']['tx_simplifiedsocialsharevertical_pi1_wizicon'] = TYPO3\CMS\Core\Utility\ExtensionManagementUtility::extPath($_EXTKEY) . 'pi1/class.tx_simplifiedsocialsharevertical_pi1_wizicon.php';
    }
}

